
!EncodedCharSet class methodsFor: '*deprecated11' stamp: 'StephaneDucasse 2/13/2010 16:06'!
digitValue: char
	"Answer 0-9 if the receiver is $0-$9, 10-35 if it is $A-$Z, and < 0 
	otherwise. This is used to parse literal numbers of radix 2-36."

	self deprecated: 'Use digitValueOf: instead' on: '13 February 2010' in: 'Pharo1.1'.
	^ self digitValueOf: char! !

!Number class methodsFor: '*deprecated11' stamp: 'StephaneDucasse 2/23/2010 22:13'!
readExactlyFrom: stringOrStream 
	"Answer a number as described on aStream.  The number may
	be any accepted Smalltalk literal Number format.
	It can include a leading radix specification, as in 16rFADE.
	It can as well be NaN, Infinity or -Infinity for conveniency.
	If stringOrStream does not start with a valid number description, then an Error is raised."
	
	self deprecated: 'Use #readFrom: ' on:  '23 February 2010' in: 'Pharo1.1'.
	^ self readFrom: stringOrStream! !

!String methodsFor: '*deprecated11' stamp: 'StephaneDucasse 2/13/2010 12:20'!
asDefaultDecodedString
	self deprecated: 'does not seem to be used anymore'  on: '13 February 2010' in: 'Pharo1.1'.
	
	^ self
! !

!TSortable methodsFor: '*deprecated11' stamp: 'MarcusDenker 4/1/2010 10:49'!
asSortedArray
	self deprecated: 'Use asArray sort' on: '01 April 2010' in: 'Pharo1.1'.
	self isSorted ifTrue: [^ self asArray].
	^ super asSortedArray! !

!Unicode class methodsFor: '*deprecated11' stamp: 'StephaneDucasse 2/13/2010 16:06'!
digitValue: char
	"Answer 0-9 if the receiver is $0-$9, 10-35 if it is $A-$Z, and < 0
	otherwise. This is used to parse literal numbers of radix 2-36."
	
	self deprecated: 'Use digitValueOf: instead' on: '13 February 2010' in: 'Pharo1.1'.
	^ self digitValueOf: char! !

!LanguageEnvironment class methodsFor: '*deprecated11' stamp: 'StephaneDucasse 2/13/2010 16:06'!
digitValue: char

	self deprecated: 'Use digitValueOf: instead' on: '13 February 2010' in: 'Pharo1.1'.
	^ self digitValueOf: char
! !

!Matrix methodsFor: '*deprecated11' stamp: 'MarcusDenker 4/1/2010 10:49'!
asSortedArray
	self deprecated: 'Use asArray sort' on: '01 April 2010' in: 'Pharo1.1'.
	^contents asSortedArray! !

!IdentityDictionary methodsFor: '*deprecated11' stamp: 'StephaneDucasse 2/9/2010 22:38'!
fasterKeys
	"This was taking some time in publishing and we didn't really need a Set"
	| answer index |
	self deprecated: 'use keys. #fasterKeys
New implementation of #keys answers an Array and thus supersedes #fasterKeys both in Squeak3.11 and Pharo1.1'  on:  '9 February 2010' in: 'Pharo 1.1'.
	answer := Array new: self size.
	index := 0.
	self keysDo: [:key | answer at: (index := index + 1) put: key].
	^ answer! !

!Collection methodsFor: '*deprecated11' stamp: 'MarcusDenker 4/1/2010 10:49'!
asSortedArray
	"Return a copy of the receiver in sorted order, as an Array."
	self deprecated: 'Use asArray sort' on: '01 April 2010' in: 'Pharo1.1'.
	^ self asArray sort! !

!Object methodsFor: '*deprecated11' stamp: 'StephaneDucasse 2/20/2010 21:37'!
copyAddedStateFrom: anotherObject
	"Copy over the values of instance variables added by the receiver's class from anotherObject to the receiver.  These will be remapped in mapUniClasses, if needed."

	self deprecated: 'Apparently there is not senders' on:  '20 February 2010' in: 'Pharo1.1'.

	self class superclass instSize + 1 to: self class instSize do:
		[:index | self instVarAt: index put: (anotherObject instVarAt: index)]! !

!Object methodsFor: '*deprecated11' stamp: 'StephaneDucasse 10/12/2010 22:13'!
isConflict

	self deprecated: 'Normally this method should not be invoked on any object' on: '12/11/2010' in: 'Pharo1.2'. 
	^false! !
